/* JavaScript wrapper for methods of class generic_association */ 

/**************************************************
 definitions for generic_association::showFormAssociation
***************************************************/
function class_generic_association_RAW_showFormAssociation( 
 arg_par_area /* CO_STRING */ 
, 
 arg_par_class /* CO_STRING */ 
, 
 arg_par_id /* CO_INTEGER */ 
, 
 arg_column_first_class /* CO_STRING */ 
, 
 arg_report_first_class /* CO_STRING */ 
, 
 arg_column_second_class /* CO_STRING */ 
, 
 arg_report_second_class /* CO_STRING */ 

	)
    {
	var method = new COMethod( this.strArea, this.strClass, 'showFormAssociation' ); 
	if (arguments.length>0) {
	   method.setParam( 'par_area', String(arg_par_area) );
	}
	if (arguments.length>1) {
	   method.setParam( 'par_class', String(arg_par_class) );
	}
	if (arguments.length>2) {
	   method.setParam( 'par_id', Number(arg_par_id) );
	}
	if (arguments.length>3) {
	   method.setParam( 'column_first_class', String(arg_column_first_class) );
	}
	if (arguments.length>4) {
	   method.setParam( 'report_first_class', String(arg_report_first_class) );
	}
	if (arguments.length>5) {
	   method.setParam( 'column_second_class', String(arg_column_second_class) );
	}
	if (arguments.length>6) {
	   method.setParam( 'report_second_class', String(arg_report_second_class) );
	}
	method.call();

	return co_getretAny();
    }

    function class_generic_association_EXT_showFormAssociation( obj_arg )
    {
	var p;
	var method = new COMethod( this.strArea, this.strClass, 'showFormAssociation' );

	for (p in obj_arg) {
	    method.setParam( p, obj_arg[p] );
	}
 if (!('par_area' in obj_arg)) method.setParam( 'par_area', this.strArea ); 
 if (!('par_class' in obj_arg)) method.setParam( 'par_class', this.strClass ); 
 
	method.call();

	return co_getretAny();
    }

    function class_generic_association_showFormAssociation(
 arg_par_id /* CO_INTEGER */ 
 , 
 arg_column_first_class /* CO_STRING */ 
 , 
 arg_report_first_class /* CO_STRING */ 
 , 
 arg_column_second_class /* CO_STRING */ 
 , 
 arg_report_second_class /* CO_STRING */ 

	)
    {
	var method = new COMethod( this.strArea, this.strClass, 'showFormAssociation' ); 
 method.setParam( 'par_area', this.strArea ); 
 method.setParam( 'par_class', this.strClass ); 
  if (arguments.length>0) { 
if (arg_par_id!=null) method.setParam( 'par_id', Number(arg_par_id) ); 
 } 
 if (arguments.length>1) { 
if (arg_column_first_class!=null) method.setParam( 'column_first_class', String(arg_column_first_class) ); 
 } 
 if (arguments.length>2) { 
if (arg_report_first_class!=null) method.setParam( 'report_first_class', String(arg_report_first_class) ); 
 } 
 if (arguments.length>3) { 
if (arg_column_second_class!=null) method.setParam( 'column_second_class', String(arg_column_second_class) ); 
 } 
 if (arguments.length>4) { 
if (arg_report_second_class!=null) method.setParam( 'report_second_class', String(arg_report_second_class) ); 
 } 

	method.call();

	return co_getretAny();
    } 
	class_generic_association.prototype.EXT_showFormAssociation = class_generic_association_EXT_showFormAssociation;
	class_generic_association.prototype.RAW_showFormAssociation = class_generic_association_RAW_showFormAssociation;
	class_generic_association.prototype.showFormAssociation = class_generic_association_showFormAssociation; 


/**************************************************
 definitions for generic_association::showFormMenu
***************************************************/
function class_generic_association_RAW_showFormMenu( 
 arg_par_area /* CO_STRING */ 
, 
 arg_par_class /* CO_STRING */ 
, 
 arg_par_id /* CO_INTEGER */ 
, 
 arg_menu_name /* CO_STRING */ 
, 
 arg_menu_type /* CO_STRING */ 

	)
    {
	var method = new COMethod( this.strArea, this.strClass, 'showFormMenu' ); 
	if (arguments.length>0) {
	   method.setParam( 'par_area', String(arg_par_area) );
	}
	if (arguments.length>1) {
	   method.setParam( 'par_class', String(arg_par_class) );
	}
	if (arguments.length>2) {
	   method.setParam( 'par_id', Number(arg_par_id) );
	}
	if (arguments.length>3) {
	   method.setParam( 'menu_name', String(arg_menu_name) );
	}
	if (arguments.length>4) {
	   method.setParam( 'menu_type', String(arg_menu_type) );
	}
	method.call();

	return co_getretAny();
    }

    function class_generic_association_EXT_showFormMenu( obj_arg )
    {
	var p;
	var method = new COMethod( this.strArea, this.strClass, 'showFormMenu' );

	for (p in obj_arg) {
	    method.setParam( p, obj_arg[p] );
	}
 if (!('par_area' in obj_arg)) method.setParam( 'par_area', this.strArea ); 
 if (!('par_class' in obj_arg)) method.setParam( 'par_class', this.strClass ); 
 
	method.call();

	return co_getretAny();
    }

    function class_generic_association_showFormMenu(
 arg_par_id /* CO_INTEGER */ 
 , 
 arg_menu_name /* CO_STRING */ 
 , 
 arg_menu_type /* CO_STRING */ 

	)
    {
	var method = new COMethod( this.strArea, this.strClass, 'showFormMenu' ); 
 method.setParam( 'par_area', this.strArea ); 
 method.setParam( 'par_class', this.strClass ); 
  if (arguments.length>0) { 
if (arg_par_id!=null) method.setParam( 'par_id', Number(arg_par_id) ); 
 } 
 if (arguments.length>1) { 
if (arg_menu_name!=null) method.setParam( 'menu_name', String(arg_menu_name) ); 
 } 
 if (arguments.length>2) { 
if (arg_menu_type!=null) method.setParam( 'menu_type', String(arg_menu_type) ); 
 } 

	method.call();

	return co_getretAny();
    } 
	class_generic_association.prototype.EXT_showFormMenu = class_generic_association_EXT_showFormMenu;
	class_generic_association.prototype.RAW_showFormMenu = class_generic_association_RAW_showFormMenu;
	class_generic_association.prototype.showFormMenu = class_generic_association_showFormMenu; 


/**************************************************
 definitions for generic_association::insertAssociations
***************************************************/
function class_generic_association_RAW_insertAssociations( 
 arg_par_area /* CO_STRING */ 
, 
 arg_par_class /* CO_STRING */ 
, 
 arg_par_id /* CO_INTEGER */ 
, 
 arg_callback /* CO_STRING */ 
, 
 arg_ids_first_class /* CO_ARRAY_OF_STRINGS */ 
, 
 arg_prop_first_class /* CO_STRING */ 
, 
 arg_ids_second_class /* CO_ARRAY_OF_STRINGS */ 
, 
 arg_prop_second_class /* CO_STRING */ 

	)
    {
	var method = new COMethod( this.strArea, this.strClass, 'insertAssociations' ); 
	if (arguments.length>0) {
	   method.setParam( 'par_area', String(arg_par_area) );
	}
	if (arguments.length>1) {
	   method.setParam( 'par_class', String(arg_par_class) );
	}
	if (arguments.length>2) {
	   method.setParam( 'par_id', Number(arg_par_id) );
	}
	if (arguments.length>3) {
	   method.setParam( 'callback', String(arg_callback) );
	}
	if (arguments.length>4) {
	   method.setParam( 'ids_first_class', (arg_ids_first_class) );
	}
	if (arguments.length>5) {
	   method.setParam( 'prop_first_class', String(arg_prop_first_class) );
	}
	if (arguments.length>6) {
	   method.setParam( 'ids_second_class', (arg_ids_second_class) );
	}
	if (arguments.length>7) {
	   method.setParam( 'prop_second_class', String(arg_prop_second_class) );
	}
	method.call();

	return co_getretAny();
    }

    function class_generic_association_EXT_insertAssociations( obj_arg )
    {
	var p;
	var method = new COMethod( this.strArea, this.strClass, 'insertAssociations' );

	for (p in obj_arg) {
	    method.setParam( p, obj_arg[p] );
	}
 if (!('par_area' in obj_arg)) method.setParam( 'par_area', this.strArea ); 
 if (!('par_class' in obj_arg)) method.setParam( 'par_class', this.strClass ); 
  if (!('callback' in obj_arg)) method.setParam( 'callback', '' ); 

	method.call();

	return co_getretAny();
    }

    function class_generic_association_insertAssociations(
 arg_par_id /* CO_INTEGER */ 
 , 
 arg_ids_first_class /* CO_ARRAY_OF_STRINGS */ 
 , 
 arg_prop_first_class /* CO_STRING */ 
 , 
 arg_ids_second_class /* CO_ARRAY_OF_STRINGS */ 
 , 
 arg_prop_second_class /* CO_STRING */ 

	)
    {
	var method = new COMethod( this.strArea, this.strClass, 'insertAssociations' ); 
 method.setParam( 'par_area', this.strArea ); 
 method.setParam( 'par_class', this.strClass ); 
  if (arguments.length>0) { 
if (arg_par_id!=null) method.setParam( 'par_id', Number(arg_par_id) ); 
 } 
 method.setParam( 'callback', '' ); 
 if (arguments.length>1) { 
if (arg_ids_first_class!=null) method.setParam( 'ids_first_class', (arg_ids_first_class) ); 
 } 
 if (arguments.length>2) { 
if (arg_prop_first_class!=null) method.setParam( 'prop_first_class', String(arg_prop_first_class) ); 
 } 
 if (arguments.length>3) { 
if (arg_ids_second_class!=null) method.setParam( 'ids_second_class', (arg_ids_second_class) ); 
 } 
 if (arguments.length>4) { 
if (arg_prop_second_class!=null) method.setParam( 'prop_second_class', String(arg_prop_second_class) ); 
 } 

	method.call();

	return co_getretAny();
    } 
	class_generic_association.prototype.EXT_insertAssociations = class_generic_association_EXT_insertAssociations;
	class_generic_association.prototype.RAW_insertAssociations = class_generic_association_RAW_insertAssociations;
	class_generic_association.prototype.insertAssociations = class_generic_association_insertAssociations; 

