
  select co_sys_meta_class_add('sys', 'generic_association', 'sys', 'generic_acl' , '', '')
  !SELECT

  UPDATE co_sys_meta_class
	SET
		default_form = '',
		force_sec_type='',
		reloid = (SELECT oid FROM pg_class WHERE relname='co_sys_generic_association')
	WHERE class_name = 'generic_association'
  !GO

DELETE FROM co_sys_meta_prop WHERE class_name='generic_association' and area='sys'
!GO
  
INSERT INTO co_sys_meta_prop(area, class_name, prop_name, prop_params, prop_representant, 
     prop_foreign_area, prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path, f_body, state, attoid)
  VALUES('sys', 'generic_association', 'id','READONLY=1;HIDDEN=1','0','sys','','',
         '', '', '', 
	 '0','CO_INTEGER', '', '', 'INSYNC', 
     (SELECT oid FROM pg_attribute WHERE attname = 'id' AND attrelid = (SELECT oid FROM pg_class WHERE relname='co_sys_generic_association'))
        )
!GO

INSERT INTO co_sys_meta_prop(area, class_name, prop_name, prop_params, prop_representant, 
     prop_foreign_area, prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path, f_body, state, attoid)
  VALUES('sys', 'generic_association', 'version','READONLY=1;HIDDEN=1','0','sys','','',
         '', '', '', 
	 '0','CO_INTEGER', '', '', 'INSYNC', 
     (SELECT oid FROM pg_attribute WHERE attname = 'version' AND attrelid = (SELECT oid FROM pg_class WHERE relname='co_sys_generic_association'))
        )
!GO

INSERT INTO co_sys_meta_prop(area, class_name, prop_name, prop_params, prop_representant, 
     prop_foreign_area, prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path, f_body, state, attoid)
  VALUES('sys', 'generic_association', 'deleted','READONLY=1;HIDDEN=1','0','sys','','',
         '', '', '', 
	 '0','CO_INTEGER', '', '', 'INSYNC', 
     (SELECT oid FROM pg_attribute WHERE attname = 'deleted' AND attrelid = (SELECT oid FROM pg_class WHERE relname='co_sys_generic_association'))
        )
!GO

INSERT INTO co_sys_meta_prop(area, class_name, prop_name, prop_params, prop_representant, 
     prop_foreign_area, prop_foreign, prop_foreign_prop,  prop_foreign_dynamic, prop_foreign_dynamic_classes, prop_foreign_dynamic_prop, 
     prop_position, prop_type, prop_group_path, f_body, state, attoid)
  VALUES('sys', 'generic_association', 'inherits_acl','HIDDEN=1;READONLY=1','0','sys','','',
         '', '', '', 
	 '50','CO_INTEGER', '', '', 'INSYNC', 
     (SELECT oid FROM pg_attribute WHERE attname = 'inherits_acl' AND attrelid = (SELECT oid FROM pg_class WHERE relname='co_sys_generic_association'))
        )
!GO

DELETE FROM co_sys_meta_method WHERE id_meta_class=
(SELECT id from co_sys_meta_class WHERE 
class_name='generic_association' and area='sys')
!GO

insert into co_sys_meta_method(id_meta_class, method_name, id_permission, sec_type, force_sec_type, state)
            values((SELECT id from co_sys_meta_class WHERE class_name='generic_association' and area='sys'),
	           'showFormAssociation','7', '1', '', 'INSYNC')
!GO

INSERT INTO co_sys_meta_param(name,"position",id_method, type_name, state) 
SELECT 'par_area', 0, M.id, 'CO_STRING', 'INSYNC'
FROM co_sys_meta_method M
WHERE M.id_meta_class=(SELECT id from co_sys_meta_class WHERE class_name='generic_association' and area='sys')
AND M.method_name = 'showFormAssociation'
!GO

INSERT INTO co_sys_meta_param(name,"position",id_method, type_name, state) 
SELECT 'par_class', 1, M.id, 'CO_STRING', 'INSYNC'
FROM co_sys_meta_method M
WHERE M.id_meta_class=(SELECT id from co_sys_meta_class WHERE class_name='generic_association' and area='sys')
AND M.method_name = 'showFormAssociation'
!GO

INSERT INTO co_sys_meta_param(name,"position",id_method, type_name, state) 
SELECT 'par_id', 2, M.id, 'CO_INTEGER', 'INSYNC'
FROM co_sys_meta_method M
WHERE M.id_meta_class=(SELECT id from co_sys_meta_class WHERE class_name='generic_association' and area='sys')
AND M.method_name = 'showFormAssociation'
!GO

INSERT INTO co_sys_meta_param(name,"position",id_method, type_name, state) 
SELECT 'column_first_class', 3, M.id, 'CO_STRING', 'INSYNC'
FROM co_sys_meta_method M
WHERE M.id_meta_class=(SELECT id from co_sys_meta_class WHERE class_name='generic_association' and area='sys')
AND M.method_name = 'showFormAssociation'
!GO

INSERT INTO co_sys_meta_param(name,"position",id_method, type_name, state) 
SELECT 'report_first_class', 4, M.id, 'CO_STRING', 'INSYNC'
FROM co_sys_meta_method M
WHERE M.id_meta_class=(SELECT id from co_sys_meta_class WHERE class_name='generic_association' and area='sys')
AND M.method_name = 'showFormAssociation'
!GO

INSERT INTO co_sys_meta_param(name,"position",id_method, type_name, state) 
SELECT 'column_second_class', 5, M.id, 'CO_STRING', 'INSYNC'
FROM co_sys_meta_method M
WHERE M.id_meta_class=(SELECT id from co_sys_meta_class WHERE class_name='generic_association' and area='sys')
AND M.method_name = 'showFormAssociation'
!GO

INSERT INTO co_sys_meta_param(name,"position",id_method, type_name, state) 
SELECT 'report_second_class', 6, M.id, 'CO_STRING', 'INSYNC'
FROM co_sys_meta_method M
WHERE M.id_meta_class=(SELECT id from co_sys_meta_class WHERE class_name='generic_association' and area='sys')
AND M.method_name = 'showFormAssociation'
!GO

insert into co_sys_meta_method(id_meta_class, method_name, id_permission, sec_type, force_sec_type, state)
            values((SELECT id from co_sys_meta_class WHERE class_name='generic_association' and area='sys'),
	           'showFormMenu','7', '1', '', 'INSYNC')
!GO

INSERT INTO co_sys_meta_param(name,"position",id_method, type_name, state) 
SELECT 'par_area', 0, M.id, 'CO_STRING', 'INSYNC'
FROM co_sys_meta_method M
WHERE M.id_meta_class=(SELECT id from co_sys_meta_class WHERE class_name='generic_association' and area='sys')
AND M.method_name = 'showFormMenu'
!GO

INSERT INTO co_sys_meta_param(name,"position",id_method, type_name, state) 
SELECT 'par_class', 1, M.id, 'CO_STRING', 'INSYNC'
FROM co_sys_meta_method M
WHERE M.id_meta_class=(SELECT id from co_sys_meta_class WHERE class_name='generic_association' and area='sys')
AND M.method_name = 'showFormMenu'
!GO

INSERT INTO co_sys_meta_param(name,"position",id_method, type_name, state) 
SELECT 'par_id', 2, M.id, 'CO_INTEGER', 'INSYNC'
FROM co_sys_meta_method M
WHERE M.id_meta_class=(SELECT id from co_sys_meta_class WHERE class_name='generic_association' and area='sys')
AND M.method_name = 'showFormMenu'
!GO

INSERT INTO co_sys_meta_param(name,"position",id_method, type_name, state) 
SELECT 'menu_name', 3, M.id, 'CO_STRING', 'INSYNC'
FROM co_sys_meta_method M
WHERE M.id_meta_class=(SELECT id from co_sys_meta_class WHERE class_name='generic_association' and area='sys')
AND M.method_name = 'showFormMenu'
!GO

INSERT INTO co_sys_meta_param(name,"position",id_method, type_name, state) 
SELECT 'menu_type', 4, M.id, 'CO_STRING', 'INSYNC'
FROM co_sys_meta_method M
WHERE M.id_meta_class=(SELECT id from co_sys_meta_class WHERE class_name='generic_association' and area='sys')
AND M.method_name = 'showFormMenu'
!GO

insert into co_sys_meta_method(id_meta_class, method_name, id_permission, sec_type, force_sec_type, state)
            values((SELECT id from co_sys_meta_class WHERE class_name='generic_association' and area='sys'),
	           'insertAssociations','10', '1', '', 'INSYNC')
!GO

INSERT INTO co_sys_meta_param(name,"position",id_method, type_name, state) 
SELECT 'par_area', 0, M.id, 'CO_STRING', 'INSYNC'
FROM co_sys_meta_method M
WHERE M.id_meta_class=(SELECT id from co_sys_meta_class WHERE class_name='generic_association' and area='sys')
AND M.method_name = 'insertAssociations'
!GO

INSERT INTO co_sys_meta_param(name,"position",id_method, type_name, state) 
SELECT 'par_class', 1, M.id, 'CO_STRING', 'INSYNC'
FROM co_sys_meta_method M
WHERE M.id_meta_class=(SELECT id from co_sys_meta_class WHERE class_name='generic_association' and area='sys')
AND M.method_name = 'insertAssociations'
!GO

INSERT INTO co_sys_meta_param(name,"position",id_method, type_name, state) 
SELECT 'par_id', 2, M.id, 'CO_INTEGER', 'INSYNC'
FROM co_sys_meta_method M
WHERE M.id_meta_class=(SELECT id from co_sys_meta_class WHERE class_name='generic_association' and area='sys')
AND M.method_name = 'insertAssociations'
!GO

INSERT INTO co_sys_meta_param(name,"position",id_method, type_name, state) 
SELECT 'callback', 3, M.id, 'CO_STRING', 'INSYNC'
FROM co_sys_meta_method M
WHERE M.id_meta_class=(SELECT id from co_sys_meta_class WHERE class_name='generic_association' and area='sys')
AND M.method_name = 'insertAssociations'
!GO

INSERT INTO co_sys_meta_param(name,"position",id_method, type_name, state) 
SELECT 'ids_first_class', 4, M.id, 'CO_ARRAY_OF_STRINGS', 'INSYNC'
FROM co_sys_meta_method M
WHERE M.id_meta_class=(SELECT id from co_sys_meta_class WHERE class_name='generic_association' and area='sys')
AND M.method_name = 'insertAssociations'
!GO

INSERT INTO co_sys_meta_param(name,"position",id_method, type_name, state) 
SELECT 'prop_first_class', 5, M.id, 'CO_STRING', 'INSYNC'
FROM co_sys_meta_method M
WHERE M.id_meta_class=(SELECT id from co_sys_meta_class WHERE class_name='generic_association' and area='sys')
AND M.method_name = 'insertAssociations'
!GO

INSERT INTO co_sys_meta_param(name,"position",id_method, type_name, state) 
SELECT 'ids_second_class', 6, M.id, 'CO_ARRAY_OF_STRINGS', 'INSYNC'
FROM co_sys_meta_method M
WHERE M.id_meta_class=(SELECT id from co_sys_meta_class WHERE class_name='generic_association' and area='sys')
AND M.method_name = 'insertAssociations'
!GO

INSERT INTO co_sys_meta_param(name,"position",id_method, type_name, state) 
SELECT 'prop_second_class', 7, M.id, 'CO_STRING', 'INSYNC'
FROM co_sys_meta_method M
WHERE M.id_meta_class=(SELECT id from co_sys_meta_class WHERE class_name='generic_association' and area='sys')
AND M.method_name = 'insertAssociations'
!GO
