#include "types.t"      
#include "defines.t"      

// CLASS CATALOG

class catalog

{ 
  area "sys";
 
#include "check_acl.t"
 
  inherits generic_catalog;
  
  container_class 'catalog';
  container_column_name 'id';

  include_c "http_protocol.h";
  include_c "http_main.h";
  include_c "co_session.h";
  include_c "../coffice/co_output.h";
      
 // PROPERTIES
      
  default_form "showCatalog";

#include "catalog_props.t"      

  prop id_parent
  {
    type CO_INTEGER;
    default 0;
    params '';
    representant 0;
    foreign 'catalog';
    foreign_prop 'id';
    position 350;
  };

// METHODS
// inherited
};

//END OF CLASS CATALOG
