
#include "httpd.h"
#include "co_lib.h"
#include "co_defines.h"
#include "co_defines_calls.h"

#include "co_example_association.h"

#undef  __METHOD__
#define __METHOD__ "coj_example_association"

void *
coj_example_association_new_param( co_context *ctx, const char* method_name)
{
    pool *p = ctx->request->pool;

    cou_logError( ctx, CO_LOG_DEBUG, "coj_example_association_new_param: called for %s", method_name);
   
    return NULL;
}

#undef  __METHOD__
#define __METHOD__ "coj_example_association_set_param"

int
coj_example_association_set_param( co_context *ctx, void *ph,
        const char* method_name, const char *param_name, void *param_value)
{
    int err=0;
    cou_logError( ctx, CO_LOG_DEBUG, "coj_example_association_set_param: called");

    return -1; /* param not found */
} 

#undef  __METHOD__
#define __METHOD__ "coj_example_association_get_param"

void *
coj_example_association_get_param( co_context *ctx, void *ph,
        const char* method_name, const char *param_name, co_value_type *ptr_param_type)
{
    int err=0;
    cou_logError( ctx, CO_LOG_DEBUG, "coj_example_association_get_param: called");

    *ptr_param_type = CO_NO_TYPE;
    return NULL; /* param not found */
}
