#include "init_file_names.t"

file __INIT_ROLE()
{
  escape_perl 
   %%
      $conn->exec("DELETE FROM co_${system_area}_role");
      $conn->exec("DROP SEQUENCE co_${system_area}_role_sqid");
      $conn->exec("CREATE SEQUENCE co_${system_area}_role_sqid");
      $conn->exec("GRANT ALL ON co_${system_area}_role_sqid TO nobody");
   %%
   ;


class role 
{
  area sys;

  // this is little tricky but we set permissions at the end of setting all data
  full_control root;

  remove_old "name='root'";
  p id {val 1;};
  p name {val root;};
  p id_catalog_type {getByProp catalog_type {prop class_name{val role;};};};
  p id_user {getByName user {f System;};};
  p id_item {current_id 1;};
  
};

class role 
{
  area sys;
  full_control root;

  remove_old "name='developer'";
  p name {val developer;};
  p id_catalog_type {getByProp catalog_type {prop class_name{val role;};};};
  p id_parent {getByName role {f root;};};
  p id_user {getByName user {f System;};};
  p id_item {current_id 1;};
};

class role 
{
  area sys;
  full_control root;

  remove_old "name='user'";
  p name {val user;};
  p id_catalog_type {getByProp catalog_type {prop class_name{val role;};};};
  p id_parent {getByName role {f root;};};
  p id_user {getByName user {f System;};};
  p id_item {current_id 1;};

};

class role 
{
  area sys;

  // this is little tricky but we set permissions at the end of setting all data
  full_control root;

  remove_old "name='__PUBLIC__'";
  p id {val 0;};
  p name {val __PUBLIC__;};
  p id_catalog_type {getByProp catalog_type {prop class_name{val role;};};};
  p id_parent {getByName role {f root;};};
  p id_user {getByName user {f System;};};
  p id_item {val 0;};

};

}; // end of file

file __INIT_ROLE2()
{
  doc "to set proper acl's for role objects";
  
  escape_perl 
   %%
      $conn->exec("INSERT INTO co_${system_area}_acl(id_permission,id_role,id_object,area,class_name)
                   SELECT P.id,R.id,R.id,'${system_area}','role'
		   FROM co_${system_area}_permission P, co_${system_area}_role R
		   WHERE P.name = 'GET' AND (R.name = 'developer' OR R.name = 'user')");
      $conn->exec("INSERT INTO co_${system_area}_acl(id_permission,id_role,id_object,area,class_name)
                   SELECT P.id,R.id,C.id,'${system_area}','catalog_type'
		   FROM co_${system_area}_permission P, co_${system_area}_role R, co_${system_area}_catalog_type C
		   WHERE P.name = 'GET' AND (R.name = 'developer' OR R.name = 'user')");
   %%
   ;

}; // end of file