# Created automatically from ../../co/comodules/tools/Jeeves/examples/modules_c.tpl
use Ast;
use JeevesUtil;

$tmp_file = "jeeves.tmp";

sub open_file;
if (! (defined ($ROOT) && $ROOT)) {
    die "ROOT not defined";
}

$file = "> -";
open (F, $file) || die $@;
$code = "";
$ROOT->visit();
 use co_modules_functions;
output("\n");
 $user = $ENV{"USER"};
output("\n");
# Line 5
foreach $item_list_i (@${item_list}) {
    $item_list_i->visit ();
output("\n");
# Line 8
foreach $class_i (@${class}) {
    $class_i->visit ();
output("  \n");
# Line 10
open_file("co_$name_class.c", 0, 0, 0);
output("\n");
output("\n");
output("  /* TYPES  \n");
output("  \n");
 @co_type_map;
# Line 17
foreach $type_i (@${type}) {
    $type_i->visit ();
 @${c_type}[0]->visit ();  
 @${js_type}[0]->visit ();  
 @${pointer}[0]->visit ();  
 @${is_array}[0]->visit ();  
output("    \n");
 $co_type_map[0]{$name_type} = { "c_type" => $name_c_type, "js_type" => $name_js_type, "pointer" => $name_pointer, "is_array" => $name_is_array};
output("    \n");
output("    $name_type $name_c_type $name_pointer\n");
#Line 26
    Ast->bye();
}
output("  \n");
output("  */\n");
output("\n");
output("  \n");
output("  #include \"httpd.h\"\n");
output("  \n");
output("  /* PostgreSQL access functions */\n");
output("  #include \"libpq-fe.h\"\n");
output("  #include <stdlib.h>\n");
output("  #include <unistd.h>\n");
output("  \n");
output("  #include \"co_lib.h\"\n");
output("  #include \"co_convutils.h\"\n");
output("  #include \"../coffice/co_recordset.h\"\n");
output("  #include \"../coffice/co_array.h\"\n");
output("  #include \"co_defines.h\"\n");
output("  #include \"co_defines_calls.h\"\n");
output("  #include \"co_${name_class}.h\"\n");
output("  \n");
# Line 46
foreach $uses_i (@${uses}) {
    $uses_i->visit ();
output("  #include \"../${name_uses}/co_${name_uses}.h\"\n");
#Line 48
    Ast->bye();
}
output("  \n");
# Line 50
foreach $include_c_i (@${include_c}) {
    $include_c_i->visit ();
output("  #include \"$name_include_c\"\n");
#Line 52
    Ast->bye();
}
output("\n");
output("  static void exit_nicely(PGconn *conn) \n");
output("  {\n");
output("  \n");
output("  }\n");
output("\n");
# Line 59
foreach $local_method_i (@${local_method}) {
    $local_method_i->visit ();
# Line 60
foreach $C_i (@${C}) {
    $C_i->visit ();
 if($name_C =~ s/^\s*\@//) {
 my($temp) = eval($name_C);
output("	  \n");
 my(@temp) = split "\n", $temp;
 foreach $t (@temp) {
output("$t\n");
 }}else{
 my(@temp) = split "\n", $name_C;
 foreach $t (@temp) { $t =~ s/^(\s+)//;
 if($t =~ s/^\@//) {
 my($temp) = eval($t);
output("	  \n");
 my(@temp) = split "\n", $temp;
 foreach $t (@temp) {
output("$t\n");
 }}else{
output("$t\n");
} } }
#Line 82
    Ast->bye();
}
#Line 83
    Ast->bye();
}
output("\n");
# Line 85
foreach $method_i (@${method}) {
    $method_i->visit ();
output("int co_$name_method \n");
output("               (co_context *cnx, co_typein_${name_method}* struct_in)\n");
output("{\n");
output("       request_rec *r = cnx->request;\n");
output("       pool *p = r->pool;\n");
output("       PGconn *conn = cnx->dbconn;\n");
output("       PGresult *res, *return_res;\n");
output("       char SQLString[SQLBUFSIZE];\n");
output("       char MESGString[MESGSIZE];\n");
output("       char JSOutBuf[JSBUFSIZE];\n");
output("       int ok;\n");
output("       int err;\n");
output("       int dirty_res = 0;\n");
output("       int return_int;\n");
output("       const char *return_str;\n");
output("       const char *delim = \"=\";\n");
output("       const char *get_str;\n");
output("       co_recordset *corec;\n");
output("       \n");
output("      // local declarations of variables\n");
# Line 106
foreach $declare_i (@${declare}) {
    $declare_i->visit ();
# Line 107
foreach $C_i (@${C}) {
    $C_i->visit ();
 if($name_C =~ s/^\s*\@//) {
 my($temp) = eval($name_C);
output("	  \n");
 my(@temp) = split "\n", $temp;
 foreach $t (@temp) {
output("	$t\n");
 }}else{
output("        $name_C\n");
 }
#Line 119
    Ast->bye();
}
#Line 120
    Ast->bye();
}
output("\n");
output("       \n");
output("      // definitions for input params \n");
# Line 124
foreach $param_i (@${param}) {
    $param_i->visit ();
 @${type}[0]->visit ();
  $c_type = $co_type_map[0]{$name_type}->{"c_type"};  
output("       $c_type $name_param ;\n");
#Line 128
    Ast->bye();
}
 undef $optional; undef $default;
output("\n");
output("      // first initialization of variables\n");
output("      __INIT_VARIABLES\n");
output("      \n");
output("      // reading input params\n");
output("      // first we check the way input params where passed\n");
output("      if(struct_in)\n");
output("      {\n");
output("      // input params are in struct_in\n");
# Line 139
foreach $param_i (@${param}) {
    $param_i->visit ();
 @${type}[0]->visit ();
output("          if(struct_in->control->$name_param == 1)\n");
output("          {\n");
output("             __PARAM_STRUCT_READ($name_param,struct_in,$name_param);\n");
output("          }\n");
output("          else\n");
output("          {\n");
 if ($${optional}[0]{name_optional}) {
 my($temp) = $${default}[0]{name_default};
output("		$temp;\n");
 } else {
output("		cou_error(cnx, \"Parameter not set and does not have default\");\n");
 }
output("          }\n");
 undef $optional; undef $default;
#Line 155
    Ast->bye();
}
output("      }\n");
output("      else\n");
output("      {	\n");
output("      //input params are in request string\n");
# Line 160
foreach $param_i (@${param}) {
    $param_i->visit ();
 @${type}[0]->visit ();
 my($temp) = co_get_param($name_param,$name_type,$${optional}[0]{name_optional},$${default}[0]{name_default});
 undef $optional; undef $default;
output("	  $temp\n");
#Line 165
    Ast->bye();
}
output("      };	\n");
output("\n");
output("\n");
 @${body}[0]->visit ();  
# Line 170
foreach $C_i (@${C}) {
    $C_i->visit ();
 if($name_C =~ s/^\s*\@//) {
 my($temp) = eval($name_C);
output("	  \n");
 my(@temp) = split "\n", $temp;
 foreach $t (@temp) {
output("$t\n");
 }}else{
 my(@temp) = split "\n", $name_C;
 foreach $t (@temp) { $t =~ s/^(\s+)//;
 if($t =~ s/^\@//) {
 my($temp) = eval($t);
output("\n");
 my(@temp) = split "\n", $temp;
 foreach $t (@temp) {
output("$t\n");
 }}else{
output("$t\n");
} } }
#Line 192
    Ast->bye();
}
output("\n");
output("      if (dirty_res)\n");
output("	cou_logError( cnx, CO_LOG_DEBUG, \"${name_class}::${name_method} has dirty res\");\n");
output("\n");
output("  return(0);\n");
output("} // end of method $name_method\n");
output("\n");
output("\n");
#Line 201
    Ast->bye();
}
output("\n");
output("  // methods for building parameter structrures\n");
output("\n");
# Line 205
foreach $method_i (@${method}) {
    $method_i->visit ();
output("co_typein_${name_method}*  \n");
output("   pbs_$name_method \n");
output("   (\n");
output("     co_context *cnx\n");
output("   )\n");
output("{\n");
output("       request_rec *r = cnx->request;\n");
output("       pool *p = r->pool;\n");
output("       __PARAM_STRUCT_CREATE_${name_method}(param_struct)\n");
output("       int err;\n");
output("       const char *delim = \"=\";\n");
output("\n");
output("       \n");
output("      // definitions for input params \n");
# Line 220
foreach $param_i (@${param}) {
    $param_i->visit ();
 @${type}[0]->visit();
  $c_type = $co_type_map[0]{$name_type}->{"c_type"};  
output("       $c_type $name_param ;\n");
#Line 224
    Ast->bye();
}
 undef $optional; undef $default;
output("\n");
output("      //input params are in request string\n");
# Line 228
foreach $param_i (@${param}) {
    $param_i->visit ();
 @${type}[0]->visit ();
 my($temp) = co_get_param($name_param,$name_type,$${optional}[0]{name_optional},$${default}[0]{name_default});
 undef $optional; undef $default;
output("	  $temp\n");
#Line 233
    Ast->bye();
}
output("\n");
output("      // assigning params to struct\n");
# Line 236
foreach $param_i (@${param}) {
    $param_i->visit ();
 @${type}[0]->visit ();
  $c_type = $co_type_map[0]{$name_type}->{"c_type"};  
output("       param_struct->values->$name_param = $name_param ;\n");
output("       param_struct->control->$name_param  = 1;\n");
#Line 241
    Ast->bye();
}
output("\n");
output("  return(param_struct);      \n");
output("\n");
output("} // end of pbs method $name_method\n");
output("      \n");
output("      \n");
#Line 248
    Ast->bye();
}
output(" \n");
output("      \n");
output("     // end of class $class_name\n");
output("     \n");
# Line 253
open_file("co_$name_class.h", 0, 0, 0);
output("     \n");
# Line 255
foreach $method_i (@${method}) {
    $method_i->visit ();
output("     \n");
output("     #ifndef   __CO_METHOD_PARAMS_$name_method\n");
output("     #define   __CO_METHOD_PARAMS_$name_method\n");
output("\n");
output("     #include \"../coffice/co_array.h\"\n");
output("\n");
output("     typedef struct\n");
output("      {\n");
# Line 264
foreach $param_i (@${param}) {
    $param_i->visit ();
 @${type}[0]->visit ();
  $c_type = $co_type_map[0]{$name_type}->{"c_type"};  
output("         $c_type $name_param;\n");
#Line 268
    Ast->bye();
}
output("      } co_typein_values_${name_method};\n");
output(" \n");
output("     typedef struct\n");
output("      {\n");
# Line 273
foreach $param_i (@${param}) {
    $param_i->visit ();
output("         int $name_param;\n");
#Line 275
    Ast->bye();
}
output("      } co_typein_control_${name_method};\n");
output(" \n");
output("     typedef struct\n");
output("      {\n");
output("         co_typein_control_${name_method} * control;\n");
output("         co_typein_values_${name_method} * values;\n");
output("      } co_typein_${name_method};\n");
output("     \n");
output(" #define __PARAM_STRUCT_CREATE_${name_method}(PARAM_STRUCT_NAME) \\\n");
output("        co_typein_${name_method}  * PARAM_STRUCT_NAME  = ({ \\\n");
output("        co_typein_${name_method}  * ret = ap_pcalloc(p, sizeof(co_typein_${name_method})); \\\n");
output("        co_typein_control_${name_method}* control = ap_pcalloc(p, sizeof(co_typein_control_${name_method})); \\\n");
output("        co_typein_values_${name_method} * values  = ap_pcalloc(p, sizeof(co_typein_values_${name_method})); \\\n");
output("        ret->control = control; ret->values = values;\\\n");
output("        ret;});\n");
output("\n");
output("      #endif\n");
output("\n");
#Line 294
    Ast->bye();
}
output("\n");
output("     // interface to methods of class $class_name\n");
output("     \n");
# Line 298
open_file("coj_$name_class.c", 0, 0, 0);
output("\n");
output("#include \"httpd.h\"\n");
output("#include \"co_lib.h\"\n");
output("\n");
output("#include \"co_$name_class.h\"\n");
output("\n");
output("void *\n");
output("coj_${name_class}_new_param( co_context *ctx, const char* method_name)\n");
output("{\n");
output("    pool *p = ctx->request->pool;\n");
output("\n");
output("    cou_logError( ctx, CO_LOG_DEBUG, \"coj_${name_class}_new_param: called for %s\", method_name);\n");
output("\n");
# Line 312
foreach $method_i (@${method}) {
    $method_i->visit ();
output("\n");
output("    if (strcmp(method_name, \"${name_method}\")==0) \n");
output("    {\n");
output("        __PARAM_STRUCT_CREATE_${name_method}(ret_${name_method});\n");
output("        cou_logError( ctx, CO_LOG_DEBUG, \"allocating param struct for ${name_method}\");\n");
output("        return (void *)ret_${name_method};\n");
output("    }\n");
output("\n");
#Line 321
    Ast->bye();
}
output("\n");
output("    return NULL;\n");
output("}\n");
output("\n");
output("int\n");
output("coj_${name_class}_set_param( co_context *ctx, void *ph,\n");
output("        const char* method_name, const char *param_name, void *param_value)\n");
output("{\n");
output("    int err=0;\n");
output("    cou_logError( ctx, CO_LOG_DEBUG, \"coj_${name_class}_set_param: called\");\n");
output("\n");
# Line 333
foreach $method_i (@${method}) {
    $method_i->visit ();
output("\n");
output("    if (strcmp(method_name, \"${name_method}\")==0) {\n");
output("\n");
output("	co_typein_${name_method} *p;\n");
output("        p = (co_typein_${name_method}*)ph;\n");
# Line 339
foreach $param_i (@${param}) {
    $param_i->visit ();
 @${type}[0]->visit ();
  $c_type = $co_type_map[0]{$name_type}->{"c_type"};  
  $pointer = $co_type_map[0]{$name_type}->{"pointer"};  
output("\n");
output("        if (strcmp(param_name, \"${name_param}\")==0) {\n");
 if ($pointer == 0) {
output("            p->values->${name_param} = *(${c_type}*)(param_value) ;\n");
output("            p->control->${name_param} = 1;\n");
 } elsif ($pointer == 1) {
output("            p->values->${name_param} = (${c_type})(param_value) ;\n");
output("            p->control->${name_param} = 1;\n");
output("\n");
 }
output("	    return err;\n");
output("	}     \n");
output("     \n");
#Line 356
    Ast->bye();
}
output("    }\n");
#Line 358
    Ast->bye();
}
output("\n");
output("    return -1; /* param not found */\n");
output("}\n");
output("\n");
output("void *\n");
output("coj_${name_class}_get_param( co_context *ctx, void *ph,\n");
output("        const char* method_name, const char *param_name, co_value_type *ptr_param_type)\n");
output("{\n");
output("    int err=0;\n");
output("    cou_logError( ctx, CO_LOG_DEBUG, \"coj_${name_class}_get_param: called\");\n");
output("\n");
# Line 370
foreach $method_i (@${method}) {
    $method_i->visit ();
output("\n");
output("    if (strcmp(method_name, \"${name_method}\")==0) {\n");
output("\n");
output("	co_typein_${name_method} *p;\n");
output("        p = (co_typein_${name_method}*)ph;\n");
# Line 376
foreach $param_i (@${param}) {
    $param_i->visit ();
 @${type}[0]->visit ();
  $c_type = $co_type_map[0]{$name_type}->{"c_type"};  
  $js_type = $co_type_map[0]{$name_type}->{"js_type"};  
  $pointer = $co_type_map[0]{$name_type}->{"pointer"};  
  if ($js_type ne "****WRONG****") {
output("        if (strcmp(param_name, \"${name_param}\")==0) {\n");
output("	    *ptr_param_type = ${name_type};\n");
output("            return &(p->values->${name_param});\n");
output("	}     \n");
 }
#Line 387
    Ast->bye();
}
output("    }\n");
#Line 389
    Ast->bye();
}
output("    *ptr_param_type = CO_NO_TYPE;\n");
output("    return NULL; /* param not found */\n");
output("}\n");
output("\n");
output("// JavaScript interface to methods of class $class_name\n");
output("     \n");
# Line 396
open_file("co_${name_class}.js", 0, 0, 0);
output("/* JavaScript wrapper for methods of class ${name_class} */\n");
output("\n");
output("    /* METHOD: ${name_method}*/\n");
# Line 400
foreach $method_i (@${method}) {
    $method_i->visit ();
output("    function class_${name_class}_RAW_${name_method}(\n");
 $i=0;
# Line 403
foreach $param_i (@${param}) {
    $param_i->visit ();
 @${type}[0]->visit ();
output("	    arg_${name_param} /* $name_type */\n");
 if ($i != $#${param}) {
output("    	    ,\n");
 }
 $i++;
#Line 410
    Ast->bye();
}
output("	)\n");
output("    {\n");
output("	var method = new COMethod( this.strArea, this.strClass, \'${name_method}\' );\n");
output("\n");
 $i=0;
# Line 416
foreach $param_i (@${param}) {
    $param_i->visit ();
 @${type}[0]->visit ();
  $js_type = $co_type_map[0]{$name_type}->{"js_type"};  
 if($js_type eq "****WRONG****") {  
output("	return null;\n");
 } else {
output("	if (class_${name_class}_RAW_${name_method}.arguments.length>$i) {\n");
output("	   method.setParam( \'${name_param}\', $js_type(arg_${name_param}) );\n");
output("	}\n");
 }
 $i++;
#Line 427
    Ast->bye();
}
output("\n");
output("	method.call();\n");
output("\n");
output("	return co_getretAny();\n");
output("    }\n");
output("\n");
output("    function class_${name_class}_EXT_${name_method}( obj_arg )\n");
output("    {\n");
output("	var p;\n");
output("	var method = new COMethod( this.strArea, this.strClass, \'${name_method}\' );\n");
output("\n");
output("	for (p in obj_arg) {\n");
output("	    method.setParam( p, obj_arg[p] );\n");
output("	}\n");
output("\n");
output("	method.call();\n");
output("\n");
output("	return co_getretAny();\n");
output("    }\n");
output("\n");
output("    function class_${name_class}_${name_method}(\n");
 $i=0;
# Line 450
foreach $param_i (@${param}) {
    $param_i->visit ();
 @${type}[0]->visit ();
 if (!(${name_param} eq "par_class") && !(${name_param} eq "par_area") && !(${name_param} eq "callback")) {
 if ($i != 0) {
output("    	    ,\n");
 }
output("	    arg_${name_param} /* $name_type */\n");
 $i++;
 }
#Line 459
    Ast->bye();
}
output("	)\n");
output("    {\n");
output("	var method = new COMethod( this.strArea, this.strClass, \'${name_method}\' );\n");
output("\n");
 $i=0;
# Line 465
foreach $param_i (@${param}) {
    $param_i->visit ();
 @${type}[0]->visit ();
 if (${name_param} eq "par_area") {
output("	    method.setParam( \'par_area\', this.strArea );\n");
 } elsif (${name_param} eq "par_class") {
output("	    method.setParam( \'par_class\', this.strClass );\n");
 } elsif (${name_param} eq "callback") {
output("	    method.setParam( \'callback\', \'\' );\n");
 } else {
  $js_type = $co_type_map[0]{$name_type}->{"js_type"};  
output("	if (class_${name_class}_${name_method}.arguments.length>$i) {\n");
 if($js_type eq "****WRONG****") {  
output("	    return null;\n");
 } else {
output("	    method.setParam( \'${name_param}\', $js_type(arg_${name_param}) );\n");
 }
output("	}\n");
 $i++;
 }
#Line 484
    Ast->bye();
}
output("\n");
output("	method.call();\n");
output("\n");
output("	return co_getretAny();\n");
output("    }\n");
output("\n");
 if (${name_method} eq 'delete') {
output("\n");
output("	class_${name_class}.prototype.EXT_del = class_${name_class}_EXT_${name_method};\n");
output("	class_${name_class}.prototype.RAW_del = class_${name_class}_RAW_${name_method};\n");
output("	class_${name_class}.prototype.del = class_${name_class}_${name_method};\n");
output("\n");
 } else {
output("\n");
output("	class_${name_class}.prototype.EXT_${name_method} = class_${name_class}_EXT_${name_method};\n");
output("	class_${name_class}.prototype.RAW_${name_method} = class_${name_class}_RAW_${name_method};\n");
output("	class_${name_class}.prototype.${name_method} = class_${name_class}_${name_method};\n");
output("\n");
 }
output("\n");
#Line 505
    Ast->bye();
}
output("\n");
#Line 507
    Ast->bye();
}
output("  \n");
#Line 509
    Ast->bye();
}
Ast->bye();
close(F);
unlink ($tmp_file);

sub open_file {
    my ($a_file, $a_nooverwrite, $a_only_if_different, $a_append) = @_;

    #First deal with the file previously opened
    close (F);
    if ($only_if_different) {
        if (JeevesUtil::compare ($orig_file, $curr_file) != 0) {
            rename ($curr_file, $orig_file) || 
            die "Error renaming $curr_file  to $orig_file";
        }
    }

    #Now for the new file ...
    $curr_file = $orig_file = $a_file;
    $only_if_different = ($a_only_if_different && (-f $curr_file)) ? 1 : 0;
    $no_overwrite = ($a_nooverwrite && (-f $curr_file))  ? 1 : 0;
    $mode =  ($a_append) ? ">>" : ">";

    if ($only_if_different) {
        unlink ($tmp_file);
        $curr_file = $tmp_file;
    }

    if (! $no_overwrite) {
        open (F, "$mode $curr_file") || die "could not open $curr_file";
    }
}

sub output {
    print F @_ if (! $no_overwrite) 
}
1;
